import pyglet.media

class Audio(object):
    def __init__(self):
        self.player = pyglet.media.Player()
        self.fxVolume = 0.5

        self.sounds = {}

    def PlaySound(self, sfxName):
        self.sounds[sfxName].play().volume = self.fxVolume

    def LoadSound(self, sfxName):
        if sfxName not in self.sounds:
            self.sounds[sfxName] = pyglet.resource.media(sfxName, streaming = False)

        return self.sounds[sfxName]
    
    def PlaySong(self, songName):
        self.player.volume = 0.3
        self.player.queue(pyglet.resource.media(songName, streaming = True))
        self.player.play()
        self.player.eos_action = 'loop'


AudioPlayer = []

def InitAudio():
    AudioPlayer.append(Audio())
    
    AudioPlayer[0].LoadSound("bulldozer.ogg")
    AudioPlayer[0].LoadSound("dynamite.ogg")
    AudioPlayer[0].LoadSound("flood.ogg")
    AudioPlayer[0].LoadSound("nuke.ogg")
    AudioPlayer[0].LoadSound("tornado.ogg")
    
    AudioPlayer[0].LoadSound("thunk.ogg")
    
    AudioPlayer[0].LoadSound("special.ogg")
    AudioPlayer[0].LoadSound("combo.ogg")
    
    AudioPlayer[0].LoadSound("youlose.ogg")
    AudioPlayer[0].LoadSound("youwin.ogg")
    
    AudioPlayer[0].LoadSound("credits.ogg")
    AudioPlayer[0].LoadSound("welcome.ogg")
    
    AudioPlayer[0].PlaySong("background.ogg")
